package com.sunxung.factoring.entity.fundmanagement.vo;

import com.sunxung.factoring.entity.fundmanagement.FinancialCustomerExpenditureInfo;
import com.sunxung.factoring.entity.fundmanagement.FinancialRelationCustomerDisburse;
import com.sunxung.factoring.entity.project.vo.BusinessProcessingTaskVo;

/**
 * @Description : 放款查询类
 * @Author : L.Jia
 * @Date: 2023-02-23 16:21
 */
public class LoanInfoSearch {
    /**
     * 业务编号
     **/
    private String businessNo;

    /**
     * 合同编号
     **/
    private String contractNo;

    /**
     * 批次号
     **/
    private Integer quotaDisburseBatch;

    public LoanInfoSearch() {
    }

    public LoanInfoSearch(FinancialCustomerExpenditureInfo customerExpenditureInfo) {
        this.businessNo = customerExpenditureInfo.getBusinessNumber();
        this.contractNo = customerExpenditureInfo.getContractNo();
        this.quotaDisburseBatch = customerExpenditureInfo.getQuotaDisburseBatch();
    }

    public LoanInfoSearch(FinancialRelationCustomerDisburse relationCustomerDisburse) {
        this.businessNo = relationCustomerDisburse.getBusinessNo();
        this.contractNo = relationCustomerDisburse.getContractNo();
        this.quotaDisburseBatch = relationCustomerDisburse.getQuotaDisburseBatch();
    }

    public LoanInfoSearch(BusinessProcessingTaskVo taskVo) {
        this.businessNo = taskVo.getBusinessNumber();
        this.contractNo = taskVo.getContractNumber();
        this.quotaDisburseBatch = taskVo.getQuotaDisburseBatch();
    }

    public LoanInfoSearch(String businessNo, String contractNo, Integer quotaDisburseBatch) {
        this.businessNo = businessNo;
        this.contractNo = contractNo;
        this.quotaDisburseBatch = quotaDisburseBatch;
    }


    public String getBusinessNo() {
        return businessNo;
    }

    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }
}
